<div class="content">
  <form [formGroup]="trainingDefinitionEditFormGroup.formGroup">
    <div class="form-container">
      <div class="left-col">
        <!-- TITLE field-->
        <mat-form-field appearance="outline"
          (keydown.enter)="$event.preventDefault()">
          <mat-label>Title</mat-label>
          <input matInput placeholder="Title" formControlName="title" required>
          <button *ngIf="title.value" matSuffix mat-icon-button
            aria-label="Clear" (click)="title.setValue('');
            title.markAsDirty();">
            <mat-icon>close</mat-icon>
          </button>
          <mat-error *ngIf="title.hasError('whitespace')">Title cannot be empty</mat-error>
        </mat-form-field>


        <!-- DESCRIPTION field-->
        <mat-form-field appearance="outline"
          (keydown.enter)="$event.preventDefault()">
          <mat-label>Description</mat-label>
          <textarea matInput placeholder="Description"
            formControlName="description"></textarea>
          <button *ngIf="description.value" matSuffix mat-icon-button
            aria-label="Clear" (click)="description.setValue('');
            description.markAsDirty();">
            <mat-icon>close</mat-icon>
          </button>
        </mat-form-field>

        <!-- SHOW STEPPER BAR checkbox-->
        <div>
          <div class="form-line-content">
            <mat-checkbox matTooltip="When active, trainee can see which level
              he is playing and how many there are until the end"
                          labelPosition="after"
                          formControlName="showProgress">
              Show Stepper Bar
            </mat-checkbox>
          </div>
        </div>

        <!-- DEFAULT CONTENT checkbox-->
        <div *ngIf="!trainingDefinition.id">
          <div class="form-line-content">
            <mat-checkbox matTooltip="When active, predefined phases will be created when definition is saved."
                          labelPosition="after"
                          formControlName="defaultContent"
                          (change)="checkboxTouched()">
              Create predefined phases
            </mat-checkbox>
          </div>
        </div>

      </div>

      <div class="right-col">
        <!-- PREREQUISITES field-->
        <sentinel-free-form (itemsChange)="prerequisitesChange($event)"
                        [required]="false" [hasHeader]="true" [formPlaceholder]="'Note'"
                        [formName]="'Notes for instructors'"
                        [formData]="prerequisites">
        </sentinel-free-form>

        <!-- OUTCOMES field-->
        <sentinel-free-form (itemsChange)="outcomesChange($event)"
                        [required]="false" [hasHeader]="true" [formPlaceholder]="'Outcome'"
                        [formName]="'Learning outcomes'"
                        [formData]="outcomes">
        </sentinel-free-form>
      </div>
    </div>
  </form>
</div>
